cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/collaborator \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"collaborators":[{"principalId":"string","principalType":"user"}],"role":"creator"}'base
Post base collaborator
Add a collaborator to a base
POST
/
base
/
{baseId}
/
collaborator
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/collaborator \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"collaborators":[{"principalId":"string","principalType":"user"}],"role":"creator"}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200
Successful response.
Last modified on March 5, 2026
Was this page helpful?
⌘I

